/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * リソースバンドル定義書から作成されたリソースバンドルクラス。
 */
package blanco.dbmetadata.resourcebundle;

import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * リソースバンドル定義[BlancoDbMetaData]のリソースバンドルクラス。
 *
 * このクラスはリソースバンドル定義書から自動生成されたリソースバンドルクラスです。<BR>
 * 既知のロケール<BR>
 * <UL>
 * <LI>ja
 * </UL>
 */
public class BlancoDbMetaDataResourceBundle {
    /**
     * リソースバンドルオブジェクト。
     *
     * 内部的に実際に入力を行うリソースバンドルを記憶します。
     */
    private ResourceBundle fResourceBundle;

    /**
     * BlancoDbMetaDataResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoDbMetaData]、デフォルトのロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     */
    public BlancoDbMetaDataResourceBundle() {
        try {
            fResourceBundle = ResourceBundle.getBundle("BlancoDbMetaData");
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoDbMetaData]、デフォルトのロケール、呼び出し側のクラスローダを使用して、リソースバンドルの取得を試みましたが失敗しました。定義書の設定値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
    }

    /**
     * BlancoDbMetaDataResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoDbMetaData]、指定されたロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     */
    public BlancoDbMetaDataResourceBundle(final Locale locale) {
        try {
            fResourceBundle = ResourceBundle.getBundle("BlancoDbMetaData", locale);
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoDbMetaData]、ロケール[" + locale.toString() + "]、呼び出し側のクラスローダを使用して、リソースバンドルの取得を試みましたが失敗しました。定義書の設定値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
    }

    /**
     * BlancoDbMetaDataResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoDbMetaData]、指定されたロケール、指定されたクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     * @param loader クラスローダの指定
     */
    public BlancoDbMetaDataResourceBundle(final Locale locale, final ClassLoader loader) {
        try {
            fResourceBundle = ResourceBundle.getBundle("BlancoDbMetaData", locale, loader);
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoDbMetaData]、ロケール[" + locale.toString() + "]、指定のクラスローダを使用して、リソースバンドルの取得を試みましたが失敗しました。定義書の設定値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
    }

    /**
     * bundle[BlancoDbMetaData], key[META2XML.ERR001]
     *
     * [エラーメッセージ] (ja)<br>
     *
     * @return key[META2XML.ERR001]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMeta2xmlErr001() {
        // 初期値として定義書の値を利用します。
        String strFormat = "エラーメッセージ";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("META2XML.ERR001");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoDbMetaData]、キー[META2XML.ERR001]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }
}
